# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.84"
name = "tree-sitter-cli"
version = "0.26.8"
authors = [
    "Max Brunsfeld <maxbrunsfeld@gmail.com>",
    "Amaan Qureshi <amaanq12@gmail.com>",
]
build = "build.rs"
include = [
    "build.rs",
    "README.md",
    "LICENSE",
    "benches/*",
    "src/**",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI tool for developing, testing, and using Tree-sitter parsers"
homepage = "https://tree-sitter.github.io/tree-sitter"
documentation = "https://docs.rs/tree-sitter-cli"
readme = "README.md"
keywords = [
    "incremental",
    "parsing",
]
categories = [
    "command-line-utilities",
    "parsing",
]
license = "MIT"
repository = "https://github.com/tree-sitter/tree-sitter"

[features]
default = ["qjs-rt"]
qjs-rt = ["tree-sitter-generate/qjs-rt"]
wasm = [
    "tree-sitter/wasm",
    "tree-sitter-loader/wasm",
]

[lib]
name = "tree_sitter_cli"
path = "src/tree_sitter_cli.rs"

[[bin]]
name = "tree-sitter"
path = "src/main.rs"
doc = false

[[bench]]
name = "benchmark"
path = "benches/benchmark.rs"
harness = false

[dependencies.ansi_colours]
version = "1.2.3"

[dependencies.anstyle]
version = "1.0.13"

[dependencies.anyhow]
version = "1.0.100"

[dependencies.bstr]
version = "1.12.0"

[dependencies.clap]
version = "4.5.53"
features = [
    "cargo",
    "derive",
    "env",
    "help",
    "string",
    "unstable-styles",
]

[dependencies.clap_complete]
version = "4.5.61"

[dependencies.clap_complete_nushell]
version = "4.5.10"

[dependencies.crc32fast]
version = "1.5.0"

[dependencies.ctor]
version = "0.2.9"

[dependencies.ctrlc]
version = "3.5.0"
features = ["termination"]

[dependencies.dialoguer]
version = "0.11.0"
features = ["fuzzy-select"]

[dependencies.glob]
version = "0.3.3"

[dependencies.heck]
version = "0.5.0"

[dependencies.html-escape]
version = "0.2.13"

[dependencies.indoc]
version = "2.0.6"

[dependencies.log]
version = "0.4.28"
features = ["std"]

[dependencies.memchr]
version = "2.7.6"

[dependencies.rand]
version = "0.8.5"

[dependencies.regex]
version = "1.11.3"

[dependencies.schemars]
version = "1.0.5"

[dependencies.semver]
version = "1.0.27"
features = ["serde"]

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"
features = ["preserve_order"]

[dependencies.similar]
version = "2.7.0"

[dependencies.streaming-iterator]
version = "0.1.9"

[dependencies.thiserror]
version = "2.0.17"

[dependencies.tiny_http]
version = "0.12.0"

[dependencies.tree-sitter]
version = "0.26.8"

[dependencies.tree-sitter-config]
version = "0.26.8"

[dependencies.tree-sitter-generate]
version = "0.26.8"
features = ["load"]
default-features = false

[dependencies.tree-sitter-highlight]
version = "0.26.8"

[dependencies.tree-sitter-loader]
version = "0.26.8"

[dependencies.tree-sitter-tags]
version = "0.26.8"

[dependencies.walkdir]
version = "2.5.0"

[dependencies.wasmparser]
version = "0.243.0"

[dependencies.webbrowser]
version = "1.0.5"

[dev-dependencies.encoding_rs]
version = "0.8.35"

[dev-dependencies.pretty_assertions]
version = "1.4.1"

[dev-dependencies.tempfile]
version = "3.23.0"

[dev-dependencies.unindent]
version = "0.2.4"

[dev-dependencies.widestring]
version = "1.2.1"

[lints.clippy]
branches_sharing_code = "allow"
cast_lossless = "allow"
cast_possible_truncation = "allow"
cast_possible_wrap = "allow"
cast_precision_loss = "allow"
cast_sign_loss = "allow"
checked_conversions = "allow"
cognitive_complexity = "allow"
collection_is_never_read = "allow"
dbg_macro = "deny"
fallible_impl_from = "allow"
fn_params_excessive_bools = "allow"
if_not_else = "allow"
inline_always = "allow"
items_after_statements = "allow"
match_wildcard_for_single_variants = "allow"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
module_name_repetitions = "allow"
multiple_crate_versions = "allow"
needless_for_each = "allow"
obfuscated_if_else = "allow"
option_if_let_else = "allow"
or_fun_call = "allow"
range_plus_one = "allow"
redundant_clone = "allow"
redundant_closure_for_method_calls = "allow"
ref_option = "allow"
similar_names = "allow"
string_lit_as_bytes = "allow"
struct_excessive_bools = "allow"
struct_field_names = "allow"
todo = "deny"
too_many_lines = "allow"
transmute_undefined_repr = "allow"
unnecessary_wraps = "allow"
unused_self = "allow"
used_underscore_items = "allow"

[lints.clippy.cargo]
level = "warn"
priority = -1

[lints.clippy.nursery]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.rust]
mismatched_lifetime_syntaxes = "allow"
